//#region ../../node_modules/lodash-es/_shortOut.js
var e = 800, t = 16, n = Date.now;
function r(r) {
	var i = 0, a = 0;
	return function() {
		var o = n(), s = t - (o - a);
		if (a = o, s > 0) {
			if (++i >= e) return arguments[0];
		} else i = 0;
		return r.apply(void 0, arguments);
	};
}
//#endregion
export { r as default };
